Skip to main content
GET
Resolve a submission by attempt, cart, or payment intent

Authorizations

X-Cart-Token
string
header
required

Purpose-limited capability returned for a guest cart.

Path Parameters

locationId
string
required
Required string length: 1 - 128
cartId
string
required
Required string length: 1 - 128

Query Parameters

attemptId
string<uuid>
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
paymentIntentId
string
Required string length: 1 - 255

Response

Canonical submission state for the requested identity.

attemptId
string<uuid>
required
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
cartId
string<uuid>
required
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
cartRevision
integer
required
Required range: 0 <= x <= 9007199254740991
collectionMode
enum<string>
required
Available options:
ONLINE,
PAY_AT_STORE
lifecycle
enum<string>
required
Available options:
SUBMITTING,
ACCEPTED,
IN_PREPARATION,
READY,
COMPLETED,
REJECTED,
CANCELED
nextAction
enum<string>
required
Available options:
NONE,
AWAIT_PAYMENT,
COMPLETE_CUSTOMER_PAYMENT,
AWAIT_TENDER_VERIFICATION,
RESOLVE_FAILURE
orderId
string<uuid>
required
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
reconciliationState
enum<string>
required
Available options:
CURRENT,
RECONCILING,
ACTION_REQUIRED
settlementAdapter
enum<string>
required
Available options:
STRIPE,
SQUARE,
CLOVER,
TOAST
settlementState
enum<string>
required
Available options:
NO_PAYMENT_REQUIRED,
DUE,
PARTIALLY_PAID,
PAID,
PARTIALLY_REFUNDED,
REFUNDED,
CANCELED
submissionState
enum<string>
required
Available options:
PREPARING,
ORDER_CREATED,
AWAITING_CUSTOMER_ACTION,
SUBMITTING,
SUCCEEDED,
FAILED,
EXPIRED,
ACTION_REQUIRED